<h1>BILL DATA</h1>
<app-bill-general></app-bill-general>

<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>

<mat-divider class="mat-elevation-z24">
</mat-divider>
<div class="container">
    <div class="row">
        <span>
            <button mat-raised-button (click)="changeTypeBill()">Cambiar a movimienro de {{isExit?'Entrada':'Salida'}}</button>
        </span>
    </div>
    <!-- My thirds-->
    <div class="row" *ngIf="!iscloseMovement">
        <div class="card">
            <div class="card-header" data-background-color="red">
                <span>
                    <h3 class="title">
                        <b>Productos disponibles para movimientos de {{!isExit?'Entrada':'Salida'}}</b>
                    </h3>
                    <p class="category">Puede ver el estado actual de la existencia en tiempo real</p>
                </span>

                <span class="fill-space">

                </span>
            </div>
            <div class="card-content table-responsive">
                <mat-table #table [dataSource]="dataSource">
                    <!-- Position Column -->


                    <ng-container matColumnDef="position">
                        <mat-header-cell *matHeaderCellDef> ID </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.detail.id_inventory_detail }}
                        </mat-cell>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="name">
                        <mat-header-cell *matHeaderCellDef>
                            <b>Nombre</b>
                        </mat-header-cell>
                        <mat-cell *matCellDef="let element">
                            <a [routerLink]="['/dashboard/business/product-third/detail/',element.description.id_product_third]">
                                {{element.product.name_product}}
                            </a>


                        </mat-cell>
                    </ng-container>

                    <!-- Weight Column -->
                    <ng-container matColumnDef="weight">
                        <mat-header-cell *matHeaderCellDef>
                            <b>Precio estandar</b>
                        </mat-header-cell>
                        <mat-cell *matCellDef="let element">
                            {{element.description.standard_price }}


                        </mat-cell>
                    </ng-container>


                    <!-- Color Column -->
                    <ng-container matColumnDef="location">
                        <mat-header-cell *matHeaderCellDef>
                            <b>Ubicacióon</b>
                        </mat-header-cell>
                        <mat-cell *matCellDef="let element">
                            {{element.description.location}}
                        </mat-cell>
                    </ng-container>

                    <!-- Color Column -->
                    <ng-container matColumnDef="symbol">
                        <mat-header-cell *matHeaderCellDef>
                            <b>Código</b>
                        </mat-header-cell>
                        <mat-cell *matCellDef="let element">
                            {{element.product.code}}
                        </mat-cell>
                    </ng-container>

                    <!-- Color Column -->
                    <ng-container matColumnDef="direccion">
                        <mat-header-cell *matHeaderCellDef>
                            <b>Cantidad Real</b>
                        </mat-header-cell>
                        <mat-cell *matCellDef="let element">
                            <!-- Modifcar la cantidad en tiempo real en el inventario -->
                            <a (click)=changeQuantity(element)>{{element.detail.quantity }}</a>

                        </mat-cell>
                    </ng-container>

                    <!-- Color Column -->


                    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                </mat-table>
            </div>
        </div>
    </div>


    <button mat-button routerLink="/dashboard/business"> Atras </button>
    <span *ngIf="detailBillTemp.length>0">
        <button mat-raised-button (click)="closeMovement()">{{iscloseMovement?'Volver a movimientos ':'Cerrar Movimiento'}}</button>
    </span>
</div>

<span *ngIf="iscloseMovement && detailBillTemp.length>0">
    <div class="container ">

        <div class="col-md-12">
            <div class="card card-plain">
                    <div class="card-header" data-background-color="red">
                           
                       <div class=" tky-full-width">
                            <h3 class="title text-center">Cerrar Movimiento de {{isExit?'Salida':'Entrada'}}</h3>
                       </div>
                     
                </div>
                <div class="card-header" data-background-color="red">  
                    <div class="container row tky-full-width">
                       
                            <mat-card class="tky-full-width">
                                <form novalidate [formGroup]="form">
                                    <div class="row tky-full-width">
                                            <mat-form-field class="field-full-width example-full-width">
                                                    <textarea matInput placeholder="Agumentos para efectuar el movimiento" formControlName="description"></textarea>
                                                    <mat-error *ngIf="form.controls.description.errors && form.controls.description.touched">
                                                        <mat-error *ngIf="form.controls.description.errors.required">
                                                            El Argumento es   <strong>requerido</strong>
                                                        </mat-error>
                                                    </mat-error>
                                                  </mat-form-field>
                                    </div>
                                </form>
                            </mat-card>
                    </div>

                </div>
                <div class="card-content table-responsive">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Código</th>
                                <th>Nombre</th>
                                <th>Cantidad</th>
                                <th>Opción</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let element of detailBillTemp; let i = index">
                                <td> {{i+1}}


                                </td>
                                <td>{{element.detail.detail.code}}</td>
                                <td>{{element.detail.product.name_product}}</td>
                                <td>{{element.is_exit?  (element.oldQuantity - element.detail.detail.quantity): (element.detail.detail.quantity - element.oldQuantity) }}</td>
                                <td>
                                    <mat-icon (click)="deleteDetBill(i)">highlight_off</mat-icon>
                                </td>
                            </tr>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <button mat-raised-button color="primary" class="tky-right" 
        [disabled]="!form.valid" (click)="saveBilling(isExit)">enviar</button>

        <mat-list>

        </mat-list>

    </div>